# In

### Import List

        StdChannels
        TextRider

Procedure Summary
Bool(VAR BOOLEAN)
Char(VAR CHAR)
ClearError()
Done(): BOOLEAN Returns TRUE if the last operation was successful.
Hex(VAR LONGINT)
Identifier(VAR ARRAY OF CHAR)
Int(VAR INTEGER)
Line(VAR ARRAY OF CHAR)
LongInt(VAR LONGINT)
LongReal(VAR LONGREAL)
Real(VAR REAL)
Set(VAR SET)
SetReader(Reader) Changes the rider reader.
ShortInt(VAR SHORTINT)
String(VAR ARRAY OF CHAR)

Variable Summary
reader-: Reader This is the rider used by the input procedures.

Procedure Detail

### Bool

    PROCEDURE Bool(VAR bool: BOOLEAN)

### Char

    PROCEDURE Char(VAR ch: CHAR)

### ClearError

    PROCEDURE ClearError()

### Done

    PROCEDURE Done(): BOOLEAN

> Returns TRUE if the last operation was successful.

### Hex

    PROCEDURE Hex(VAR lint: LONGINT)

### Identifier

    PROCEDURE Identifier(VAR s: ARRAY OF CHAR)

### Int

    PROCEDURE Int(VAR int: INTEGER)

### Line

    PROCEDURE Line(VAR s: ARRAY OF CHAR)

### LongInt

    PROCEDURE LongInt(VAR lint: LONGINT)

### LongReal

    PROCEDURE LongReal(VAR lreal: LONGREAL)

### Real

    PROCEDURE Real(VAR real: REAL)

### Set

    PROCEDURE Set(VAR s: SET)

### SetReader

    PROCEDURE SetReader(r: Reader)

> Changes the rider reader. All following calls to input procedures will read from r. The preferred method of connecting to the standard input channel is to call ``SetReader(NIL)`'.

### ShortInt

    PROCEDURE ShortInt(VAR int: SHORTINT)

### String

    PROCEDURE String(VAR s: ARRAY OF CHAR)

Variable Detail

### reader

    VAR reader-: Reader

> This is the rider used by the input procedures. It is initialized to hold a text reader on the channel StdChannels.stdin. This can be changed by calling SetReader.